<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Pestanhas extends Admin_Controller {

	public function __construct()
	{
		parent::__construct();

		$this->load->model('componentes/pestanhas_model');
		$this->load->model('cuest/reg01_model');
		$this->lang->load ('componentes/pestanhas');
 

		/* Titulo de la pagina :: Common */
		$this->page_title->push(lang('menu_componentes'));
		$this->data['pagetitle'] = $this->page_title->show();

		/* Breadcrumbs :: Common */
		$this->breadcrumbs->unshift(1, lang('menu_geocolonias'), 'admin/geocolonias');

	}

	public function index()
	{

		/* Breadcrumbs - Miga de pan */
		$this->data['breadcrumb'] 	= $this->breadcrumbs->show();

		$this->template->general_render('componentes/pestanhas/index', $this->data);

	}
	public function test_json()
	{


		$arr = array(
			'a' => 'hola codeigniter, te pillamos', 
			'b' => 'esto es un ejemplo simple', 
			'c' => 'con json encode', 
			'd' => 'desde el controlador', 
			'e' => ' ', 
			);

		echo json_encode($arr);

	}

	public function trae_cuest_reg01()
	{

		//include('application/models/cuest/reg01_model.php');
		//include('application/language/spanish/cuest/reg01_lang.php');
		
		include('application/views/cuest/reg01/create.php');

		//echo base_url()."application/views/cuest/reg01/create.php";
		// echo "asdf ajsldflñ asjdflñaksjdlfjaskfdñsakjfdñlakjslñfdkjaslñkjfd lñasj fdlñ sakjfdlñkaslñdfaslñkjfd lasfd";
	}
	public function plantilla_reg01()
	{

		// Prueba para AJAX ----------------
		$this->load->model(	'cuest/reg01_model'	);
		$this->lang->load(	'cuest/reg01_lang'	);
		$this->data['reg01'] = $this->reg01_model->reg01()->result();
        // ---------------- ----------------

		

		/* Title Page :: Common */
		$this->page_title->push(lang('menu_reg01'));
		$this->data['pagetitle'] = $this->page_title->show();

		/* Breadcrumbs :: Common */
		$this->breadcrumbs->unshift(1, lang('menu_reg01'), 'admin/reg01');
 		// ---------------- ----------------
		
		//$this->output->set_output(json_encode($array));

		$plano = $this->load->view ('cuest/reg01/create');
		return $plano;
	}

	public function dibujar_plantilla_reg01()
	{
 		
		$plano = $this->load->view ('cuest/reg01/reg01_caratula');
		return $plano;
	}

	public function traer_datos_formulario_reg01()
	{
		$identificador = $_SESSION['identificador'];
		//$this->data['reg01_info'] = $this->reg01_model->view($identificador)->row();
		$registros = $this->reg01_model->view($identificador)->row();

		//$registros['dpto_descripcion'] 		= $this->reg01_model->dpto_descripcion($registros->dpto)->row();
		//$registros['distrito_descripcion'] 	= $this->reg01_model->distrito_descripcion($registros->distrito)->row();
		//$registros['colonia_descripcion'] 	= $this->reg01_model->colonia_descripcion($registros->colonia)->row();

		//$registros += [ 
		//	"dpto_descripcion" => $this->reg01_model->dpto_descripcion($registros->dpto)->row(), 
		//	"distrito_descripcion" => $this->reg01_model->distrito_descripcion($registros->distrito)->row(), 
		//	"colonia_descripcion" => $this->reg01_model->colonia_descripcion($registros->colonia)->row() 
		//];

	 
		//$a = $this->reg01_model->dpto_descripcion($registros->dpto)->row(); 
		//$b = $this->reg01_model->distrito_descripcion($registros->distrito)->row();
		//$c = $this->reg01_model->colonia_descripcion($registros->colonia)->row();
		 

		//array_push($registros, "dpto_descripcion", 		$this->reg01_model->dpto_descripcion($registros->dpto)->row()			);
		//array_push($registros, "distrito_descripcion", 	$this->reg01_model->distrito_descripcion($registros->distrito)->row()	);
		//array_push($registros, "colonia_descripcion", 	$this->reg01_model->colonia_descripcion($registros->colonia)->row()		);
 
		echo json_encode($registros);
	}

	public function trae_descripcion_codigo()
	{
		// El ID es el codigo de DPTO, Dtto, Colonia, etc, y trae su descripcion
	 	$id 	= $_POST['id'];
	 	$tabla 	= $_POST['tabla'];
	 	$campo 	= $_POST['campo'];
 		$registros = $this->reg01_model->trae_descripcion_codigo($tabla, $campo, $id)->row();
		echo json_encode($registros);
	}

}